"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.databaseFactory = void 0;
const orm_1 = require("@deepkit/orm");
const sqlite_adapter_1 = require("../src/sqlite-adapter");
const databaseFactory = async (entities) => {
    const adapter = new sqlite_adapter_1.SQLiteDatabaseAdapter();
    const database = new orm_1.Database(adapter);
    if (entities)
        database.registerEntity(...entities);
    await adapter.createTables([...database.entities]);
    return database;
};
exports.databaseFactory = databaseFactory;
//# sourceMappingURL=factory.js.map